Index: resources/views/dashboard/departments/index.blade.php
===================================================================
--- resources/views/dashboard/departments/index.blade.php	(revision 1f7c9345a2889dcb0e676b7862c7f5e48afd23d0)
+++ resources/views/dashboard/departments/index.blade.php	(revision dbc59767a101ccb4d7408c635f8e1fbb4fe5457e)
@@ -52,5 +52,4 @@
                                 <th>Folders</th>
                                 <th>Created by</th>
-                                <th>Created at</th>
                                 <th>Updated at</th>
                                 <th>Directory</th>
@@ -66,11 +65,15 @@
                                     <td>{{ $department->code }}</td>
                                     <td>{{ $department->no_of_folders }}</td>
-                                    <td>{{ $department->getCreatedByName() }}</td>
-                                    <td>{{ date('d.m.Y - H:i', strtotime($department->created_at)) }}</td>
+                                    <td>{{ $department->user->username }}
+                                        <div class="font-weight-light p-1">{{$department->user->name}} {{$department->user->surname}}</div>
+                                        <div class="font-weight-light p-1">{{ date('d.m.Y - H:i', strtotime($department->created_at)) }}</div>
+                                    </td>
+
                                     @if($department->updated_at==NULL)
                                         <td>/</td>
                                     @else
-                                    <td>{{ date('d.m.Y - H:i', strtotime($department->updated_at)) }}</td>
+                                        <td class="font-weight-light p-1">{{ date('d.m.Y - H:i', strtotime($department->updated_at)) }}</td>
                                     @endif
+
                                     <!-- Trigger -->
                                     <td><button data-clipboard-text="{{$department->location}}" class="btn btn-sm btn-primary text-white" data-toggle="tooltip" data-placement="right" title="{{$department->location}}"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-clipboard" viewBox="0 0 16 16">
Index: resources/views/dashboard/folders/files.blade.php
===================================================================
--- resources/views/dashboard/folders/files.blade.php	(revision 1f7c9345a2889dcb0e676b7862c7f5e48afd23d0)
+++ resources/views/dashboard/folders/files.blade.php	(revision dbc59767a101ccb4d7408c635f8e1fbb4fe5457e)
@@ -70,7 +70,8 @@
 
             <p>Files in {{$folder->name}}</p>
-
+{{--            @dd($files)--}}
             <div class="row">
                 @forelse($files as $file)
+
                     <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">
                         <div class="card app-file-list">
@@ -162,5 +163,5 @@
                 <div class="modal-content">
                     <div class="modal-header">
-                        <h5 class="modal-title" id="exampleModalCenterTitle">Upload</h5>
+                        <h5 class="modal-title" id="exampleModalCenterTitle">Upload files to {{$folder->name}}</h5>
                         <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                             <i class="ti-close"></i>
Index: resources/views/dashboard/folders/index.blade.php
===================================================================
--- resources/views/dashboard/folders/index.blade.php	(revision 1f7c9345a2889dcb0e676b7862c7f5e48afd23d0)
+++ resources/views/dashboard/folders/index.blade.php	(revision dbc59767a101ccb4d7408c635f8e1fbb4fe5457e)
@@ -83,5 +83,5 @@
                                 <a class="dropdown-item" href="javascript:void(0)" data-toggle="modal" data-target="#createModal">Add folder</a>
                                 @endif
-                                    @if(auth()->user()->hasPermission('export_data'))
+                                    @if(auth()->user()->hasPermission('export_data') && Request::query('id')==null)
                                 <a href="{{ route('dashboard.folders.export') }}" class="dropdown-item text-success">Export</a>
                             </div>
@@ -171,4 +171,5 @@
                                 <p class="badge bg-success-bright text-success">Version: {{$folder->version}}</p>
                                 <p>Archive ID: {{$folder->arch_id}}</p>
+                                <p>Department: {{$folder->department->name}}</p>
                                 <p>Note: {{$folder->note}}</p>
                                 <div class="row">
Index: resources/views/dashboard/index.blade.php
===================================================================
--- resources/views/dashboard/index.blade.php	(revision 1f7c9345a2889dcb0e676b7862c7f5e48afd23d0)
+++ resources/views/dashboard/index.blade.php	(revision dbc59767a101ccb4d7408c635f8e1fbb4fe5457e)
@@ -119,5 +119,4 @@
                                 <th>Name</th>
                                 <th>Created at</th>
-                                <th>Updated at</th>
                                 <th>Folder name</th>
                                 <th>Folder archive ID</th>
@@ -165,9 +164,4 @@
                                     <td>{{ $file->name }}</td>
                                     <td>{{ date('d.m.Y - H:i', strtotime($file->created_at)) }}</td>
-                                    @if($file->updated_at==NULL)
-                                        <td>/</td>
-                                    @else
-                                        <td>{{ date('d.m.Y - H:i', strtotime($file->updated_at)) }}</td>
-                                    @endif
                                     <td><a href="{{ route('dashboard.folders.files', ['id' => $file->folder_id]) }}" class="text-linkedin">{{ \App\Models\Folder::find($file->folder_id)->name }}</a></td>
                                     <td>{{ \App\Models\Folder::find($file->folder_id)->arch_id }}</td>
@@ -180,7 +174,4 @@
                                     @if(auth()->user()->hasPermission('manage_all_files'))
                                     <td>
-                                        <a href="javascript:void(0)" class="text-secondary" data-toggle="modal" data-target="#editModal_{{$file->id}}" title="Edit">
-                                            <i class="ti-pencil"></i>
-                                        </a>
                                         <a href="{{ route("dashboard.files.downloadFile", ['id' => $file->id]) }}" class="text-danger ml-2"title="Download">
                                             <i class="ti-download"></i>
@@ -244,5 +235,5 @@
                     <div class="d-flex justify-content-between align-items-start mb-3">
                         <h6 class="card-title mb-0">Largest departments</h6>
-                        <a href="{{route("dashboard.departments.index")}}" class="small text-linkedin">View</a>
+                        <a href="{{route("dashboard.departments.index")}}" class="small text-linkedin">View all</a>
                     </div>
                 </div>
@@ -260,5 +251,5 @@
 
                             <td>
-                                <a href="{{ route("dashboard.folders.index", ['id' => $department->id]) }}">{{$department->name}}</a>
+                                <a href="{{ route("dashboard.folders.index", ['id' => $department->id]) }}" class="text-linkedin">{{$department->name}}</a>
                             </td>
                             <td>
Index: resources/views/dashboard/settings/index.blade.php
===================================================================
--- resources/views/dashboard/settings/index.blade.php	(revision 1f7c9345a2889dcb0e676b7862c7f5e48afd23d0)
+++ resources/views/dashboard/settings/index.blade.php	(revision dbc59767a101ccb4d7408c635f8e1fbb4fe5457e)
@@ -70,5 +70,5 @@
                                         <div class="col-md-1">
                                             <div class="form-group">
-                                                <label>Current</label>
+                                                <label></label>
                                                 <figure class="avatar avatar-sm mr-2">
                                                     @if(auth()->user()->avatar==NULL)
Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision 1f7c9345a2889dcb0e676b7862c7f5e48afd23d0)
+++ resources/views/dashboard/users/index.blade.php	(revision dbc59767a101ccb4d7408c635f8e1fbb4fe5457e)
@@ -45,5 +45,4 @@
                                 <th>Name</th>
                                 <th>Created by</th>
-                                <th>Created at</th>
                                 <th>Updated at</th>
                                 <th>Status</th>
@@ -81,6 +80,9 @@
                                     <div class="font-weight-light p-1">{{$user->phone_number}}</div>
                                     </td>
-                                    <td>{{ $user->getCreatedByName() }}</td>
-                                    <td>{{ date('d.m.Y - H:i', strtotime($user->created_at)) }}</td>
+                                    <td>{{ $user->getCreatedByUsername() }}
+                                        <div class="font-weight-light p-1">{{$user->getCreatedByName()}}</div>
+                                        <div class="font-weight-light p-1">{{ date('d.m.Y - H:i', strtotime($user->created_at)) }}</div>
+                                    </td>
+
                                     @if($user->updated_at==NULL)
                                         <td>/</td>
@@ -88,4 +90,5 @@
                                         <td>{{ date('d.m.Y - H:i', strtotime($user->updated_at)) }}</td>
                                     @endif
+
                                     <td>
                                         @if(Cache::has('is_online' . $user->id))
@@ -99,5 +102,5 @@
                                         @endif
                                     </td>
-                                    @if(auth()->user()->hasPermission('manage_all_users'))
+                                    @if(auth()->user()->hasPermission('manage_all_users') && auth()->user()->id != $user->id)
                                     @if($user->hasRole("Referent") || $user->hasRole("Viewer") && $user->is_confirmed)
                                         <td>
@@ -105,7 +108,17 @@
                                                 <i class="ti-pencil"></i>
                                             </a>
+                                            @if ($user->is_active)
+                                            <a href="javascript:void(0)" data-toggle="modal" data-target="#blockModal_{{$user->id}}" class="text-warning ml-2" title="Block">
+                                                <i class="ti-lock"></i>
+                                            </a>
+                                            @else
+                                                <a href="javascript:void(0)" data-toggle="modal" data-target="#unBlockModal_{{$user->id}}" class="text-warning ml-2" title="Unblock">
+                                                    <i class="ti-unlock"></i>
+                                                </a>
+                                            @endif
                                             <a href="javascript:void(0)" class="text-danger ml-2" data-toggle="modal" data-target="#deleteModal_{{$user->id}}" title="Delete">
                                                 <i class="ti-trash"></i>
                                             </a>
+
                                         </td>
                                     @else
@@ -186,5 +199,5 @@
                                                         <div class="col-md-1">
                                                             <div class="form-group">
-                                                                <label>Current</label>
+                                                                <label></label>
                                                                 <figure class="avatar avatar-sm mr-2">
                                                                     @if($user->avatar==NULL)
@@ -223,4 +236,59 @@
                                                     @method('DELETE')
                                                     <p>Are you sure you want to delete user {{$user->username}} ?</p>
+                                                    <p>Number of folders created: <a href="{{ route("dashboard.folders.index", ['id' => $user->id]) }}" class="text-linkedin">{{\App\Models\Folder::where('user_id', $user->id)->count()}}</a></p>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+
+                                <div class="modal fade" id="blockModal_{{$user->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Block confirmation</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.users.block", $user->id) }}" method="POST">
+                                                    @csrf
+                                                    @method('patch')
+                                                    <p>Are you sure you want to block user {{$user->username}} ?</p>
+                                                    <p>Number of folders created: <a href="{{ route("dashboard.folders.index", ['id' => $user->id]) }}" class="text-linkedin">{{\App\Models\Folder::where('user_id', $user->id)->count()}}</a></p>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+
+
+                                <div class="modal fade" id="unBlockModal_{{$user->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Unblock confirmation</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.users.unblock", $user->id) }}" method="POST">
+                                                    @csrf
+                                                    @method('patch')
+                                                    <p>Are you sure you want to block user {{$user->username}} ?</p>
                                                     <p>Number of folders created: <a href="{{ route("dashboard.folders.index", ['id' => $user->id]) }}" class="text-linkedin">{{\App\Models\Folder::where('user_id', $user->id)->count()}}</a></p>
                                                     <div class="modal-footer">
